import 'enums/data_type.dart';

/// Classe base para os filtros da tabela.
abstract class ColumnFilter<T> {
  /// Nome da coluna.
  late String column;

  /// Valor.
  late T value;

  /// Tipo de dados.
  late DataType dataType;

  /// Operador.
  abstract Object operand;

  ColumnFilter(this.column, this.value, this.dataType);

  List<TModel> filter<TModel>(List<TModel> items);
}
