/// Tipo de dados.
enum DataType {
  /// String.
  string,

  /// Numérico.
  number,

  /// Data.
  date,

  /// Booleano.
  boolean,

  /// GUID.
  guid
}

extension DataTypeExtension on DataType {
  int get xdkValue {
    switch (this) {
      case DataType.string:
        return 1;
      case DataType.number:
        return 2;
      case DataType.date:
        return 3;
      case DataType.boolean:
        return 4;
      case DataType.guid:
        return 5;
    }
  }
}
