import 'package:dart_json_mapper/dart_json_mapper.dart';

/// Representa um token de resposta da autenticação.
@jsonSerializable
class TokenResponse {
  /// Token de acesso.
  String? token;

  /// Refresh token.
  /// Usado para obter novo token após a expiração do atual.
  String? refreshToken;

  /// Data de validade do token.
  DateTime? validUntil;

  /// Mensagem de erro.
  String? errorMessage;

  TokenResponse({this.token, this.refreshToken, this.validUntil, this.errorMessage});
}
