/// Tipos de conteúdo das requisições HTTP.
class HttpContentType {
  /// Vazio.
  static const String empty = "";

  /// application/json.
  static const String applicationJson = "application/json";

  /// application/xml.
  static const String applicationXml = "application/xml";

  /// application/x-www-form-urlencoded.
  static const String applicationFormEncoded = "application/x-www-form-urlencoded";

  /// text/csv.
  static const String textCsv = "text/csv";

  /// Blob.
  static const String blob = "blob";

  /// arraybuffer.
  static const String arrayBuffer = "arraybuffer";
}
