import 'package:injector/injector.dart';

import '../abstractions/base_store.dart';

/// Obtém uma store do tipo [TStore] solicitado.
TStore getStore<TStore extends BaseStore>() {
  final injector = Injector.appInstance;
  return injector.get<TStore>();
}
