import 'package:flutter/material.dart';

const hintTextStyle = TextStyle(
  color: Colors.white54,
  fontFamily: 'OpenSans', // TODO: trocar.
);
const labelStyle = TextStyle(
  color: Colors.white,
  fontWeight: FontWeight.bold,
  fontFamily: 'OpenSans', // TODO: trocar.
);
final boxDecorationStyle = BoxDecoration(
  color: const Color(0xFF6CA8F1),
  borderRadius: BorderRadius.circular(10.0),
  boxShadow: const [
    BoxShadow(
      color: Colors.black12,
      blurRadius: 6.0,
      offset: Offset(0, 2),
    ),
  ],
);
final pageBackgroundStyle = Container(
  height: double.infinity,
  width: double.infinity,
  decoration: const BoxDecoration(
    gradient: LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: [
        Color(0xFF2850D1),
        Color(0xFF002087),
      ],
      stops: [0.4, 0.9],
    ),
  ),
);
