/// Direção da ordenação.
enum SortDirection {
  /// Ascendente.
  asc,

  /// Descendente.
  desc
}

extension SortDirectionExtension on SortDirection {
  int get xdkValue {
    switch (this) {
      case SortDirection.asc:
        return 1;
      case SortDirection.desc:
        return 2;
    }
  }
}
