import 'package:dart_json_mapper/dart_json_mapper.dart';

import '../abstractions/base_entity_model.dart';

/// Dados do usuário logado.
@jsonSerializable
class UserInfo extends BaseEntityModel {
  /// Nome de usuário.
  String username = '';

  /// E-mail.
  String email = '';

  /// Claims (Roles/permissões).
  List<String> claims = const <String>[];

  /// Informações adicionais.
  Map<String, Object> extraInfo = const <String, Object>{};
}
